{% extends 'base.html' %}
{% block content %}

<div class="container" style="margin-top: 50px; text-align: center;">
    <div id="alert_required_fields" class="container-fluid p-0"></div>
    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Form Buat Menjalankan Misi Utama</title>
    </head>
<body>
    {% if request.session.role == "Pemain" %}
    <h2>Form Buat Menjalankan Misi Utama</h2>
    <form action="{% url 'creator:buat_menjalankan_misi_utama' %}" method="post">
        {%csrf_token%}
        <label class="label" for="nama_tokoh">Nama Tokoh:</label>
        <select class="form-control" name="nama_tokoh" id="nama_tokoh" >
          {%for tokoh in list_tokoh %}
          <option value="{{tokoh.0}}">{{tokoh.0}}</option>
          {% endfor %}
        </select>
        <br>
        <label class="label" for="nama_misi_utama">Nama Misi Utama:</label>
        <select class="form-control" name="nama_misi_utama" id="nama_misi_utama" >
          {%for misi in list_misi_utama %}
          <option value="{{misi.0}}">{{misi.0}}</option>
          {% endfor %}
        </select>
        <br>
        <button type="submit">
            SIMPAN
        </button>
    </form>
    {% endif %}
</body>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js" ></script>
<script>
        $(document).ready(function () {
            var allRequiredInput = $("input[required]").add('textarea');
            allRequiredInput.on('invalid', function(){
                console.log("halo kak")
                alert_required_fields.innerHTML = `
                                    <div class="container-fluid p-0">
                                        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="True">&times;</span>
                                        </button>
                                        Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu
                                        </div>
                                    </div>`
            });
        });
    </script>
{% endblock content %}
